Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoTimedMonitor Class Reference

Holds a collection of monitors and only fires them when a time limit has been reached. More...

`#include <eoTimedMonitor.h>`

Inheritance diagram for eoTimedMonitor:

List of all members.

## Public Member Functions
| eoTimedMonitor (int seconds_)
eoMonitor & | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.
void | add (eoMonitor &mon)
virtual std::string | className (void) const
## Private Attributes
clock_t | last_tick
int | seconds
std::vector< eoMonitor * > | monitors

## Detailed Description

Holds a collection of monitors and only fires them when a time limit has been reached.

Definition at line 40 of file eoTimedMonitor.h.

The documentation for this class was generated from the following file:

- eoTimedMonitor.h